package schedule

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/schedule"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"
)

func ScheduleGetAiTaskTypesHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := schedule.NewScheduleGetAiTaskTypesLogic(r.Context(), svcCtx)
		resp, err := l.ScheduleGetAiTaskTypes()
		result.HttpResult(r, w, resp, err)
	}
}
